<html>

<head>
    <meta charset="utf-8" />
    <style>
        div {
            padding: 10px;
        }
    </style>
</head>

<body>
    <div style="text-align: center">
        <div>
            <img src="static/img.png" />
        </div>
        <div>
            Cet outil sert à créer un compte MyTurn d'un compte ARMember.<br />
            Entrez le numéro de membre ARMember dans le champ ci-dessous et faites "Go".
        </div>
        <div>
            <form id="the-form">
                <input type="text" pattern="\d{1,6}" required="required" id="the-id" />
                <input type="submit" id="the-submit" value="Go" />
            </form>
        </div>

        <div id="the-result" style="display: none;"></div>
        <div id="the-loading" style="display: none;"><img src="static/loading.gif" /></div>

        <script>
            document.getElementById('the-form').onsubmit = () => {
                document.getElementById('the-submit').disabled = true;
                document.getElementById('the-result').style.display = 'none';
                document.getElementById('the-loading').style.display = 'block';

                const id = document.getElementById('the-id').value;
                fetch('sync?id=' + id).then(response => response.json())
                    .then(json => {
                        document.getElementById('the-submit').disabled = false;

                        if (json.success) {
                            document.getElementById('the-result').innerText = "Fait!";
                        } else {
                            document.getElementById('the-result').innerText = 'Erreur: ' + json.reason;
                        }

                        document.getElementById('the-result').style.display = 'block';
                        document.getElementById('the-loading').style.display = 'none';
                    }).catch(reason => {
                        document.getElementById('the-submit').disabled = false;
                        document.getElementById('the-result').innerText = 'Erreur: ' + reason;
                        document.getElementById('the-result').style.display = 'block';
                        document.getElementById('the-loading').style.display = 'none';
                    });
                return false;
            };
        </script>
    </div>
</body>

</html>
